package com.sdtool.common.entity.mall;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * @Author: xl Created on 2024-03-27
 * @Content:
 */
public class MallUserAddress extends BaseEntity {

    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("用户id")
    @RColumn("userid")
    private long userId;

    @Comment("收货人")
    @RColumn("receiveman")
    @ApiPlace("MallUserAddress_Add")
    @ApiPlace("MallUserAddress_Edit")
    @ApiPlace("MallUserAddress_Search")
    private String receiveMan;

    @Comment("收货人电话")
    @RColumn("receivephone")
    @ApiPlace("MallUserAddress_Add")
    @ApiPlace("MallUserAddress_Edit")
    @ApiPlace("MallUserAddress_Search")
    private String receivePhone;

    @Comment("区域-省")
    @RColumn("province")
    @ApiPlace("MallUserAddress_Add")
    @ApiPlace("MallUserAddress_Edit")
    @ApiPlace("MallUserAddress_Search")
    private String province;

    @Comment("区域-市")
    @RColumn("city")
    @ApiPlace("MallUserAddress_Add")
    @ApiPlace("MallUserAddress_Edit")
    @ApiPlace("MallUserAddress_Search")
    private String city;

    @Comment("区域-区")
    @RColumn("area")
    @ApiPlace("MallUserAddress_Add")
    @ApiPlace("MallUserAddress_Edit")
    @ApiPlace("MallUserAddress_Search")
    private String area;

    @Comment("街道地址")
    @RColumn("address")
    @ApiPlace("MallUserAddress_Add")
    @ApiPlace("MallUserAddress_Edit")
    @ApiPlace("MallUserAddress_Search")
    private String address;

    @Comment("是否默认")
    @RColumn("defaultflag")
    private int defaultFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public String getReceiveMan() {
        return receiveMan;
    }

    public void setReceiveMan(String receiveMan) {
        this.receiveMan = receiveMan;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public int getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(int defaultFlag) {
        this.defaultFlag = defaultFlag;
    }
}
